org.apache.ignite.ml.selection.scoring.evaluator

## Class EvaluationResult

- java.lang.Object
- - org.apache.ignite.ml.selection.scoring.evaluator.EvaluationResult

-     public class EvaluationResult
      extends Object

  Class represents an aggregation of metrics evaluation results.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EvaluationResult(Map<MetricName,Double> values)` Creates an instance of EvaluationResult class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `get(MetricName name)` Returns metric value by its name.
    `Iterable<Map.Entry<MetricName,Double>>` | `getAll()` Returns a collection of metric name and value pairs.
    `double` | `getSingle()` Returns any computed metric value.
    `String` | `toString()`
    `String` | `toString(int precision)` Returns string representation of model estimation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EvaluationResult

          public EvaluationResult(Map<MetricName,Double> values)

      Creates an instance of EvaluationResult class.
      Parameters:
        `values` - Values.

  - ### Method Detail

    - #### get

          public double get(MetricName name)

      Returns metric value by its name.
      Parameters:
        `name` - Name.
      Returns:
        Metric value.

    - #### getSingle

          public double getSingle()

      Returns any computed metric value. This method is useful in case of computing just one metric.
      Returns:
        Metric value.

    - #### getAll

          public Iterable<Map.Entry<MetricName,Double>> getAll()

      Returns a collection of metric name and value pairs.
      Returns:
        Collection of metric name and value pairs.

    - #### toString

          public String toString(int precision)

      Returns string representation of model estimation.
      Parameters:
        `precision` - Precision.
      Returns:
        String representation of model estimation.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023